<?php
session_start();
include("session.inc.php");
if ($_SESSION['CMS-Login'] == "LOGEDIN" OR $session == false) {
?>
<?php
// basis parameter definieren
$free = disk_free_space("../");
$total = disk_total_space("../");
$full = $total-$free;
$werte=array($free,$full); // prozentwerte
$winkel=array();
$start = array();
$end=array();

// definition der tortenparameter
$diameter = 100;
$radius = $centerX = $centerY =  $diameter/2;

// bild anlegen mit weissem hintergrund
$image = imagecreate("250", "100");
$background = imagecolorallocate($image, 0xFF, 0xFF, 0xFF);

// winkel fr die einzelnen tortenstcke berechnen
for($i=0;$i<count($werte);$i++)
{
$winkel[] = round(360*$werte[$i]/$total);
}

// start/endpositionen fr die tortenstcke ermitteln
$start[] = 0;
for($i=0;$i<count($winkel);$i++)
{
$end[] = $start[$i] + $winkel[$i];
  if($i< (count($winkel)-1))
  {
  $start[] = $end[$i];
  }
}

// farben definieren, kann/muss man anders lsen => in abhngigkeit zur
// anzahl der werte
$light = array();
$dark = array();

//$light[] = imagecolorallocate($image, 0xC0, 0xC0, 0xC0);
//$dark[] = imagecolorallocate($image, 0x90, 0x90, 0x90);
$light[] = imagecolorallocate($image, 0x00, 0x00, 0x80);
$dark[] = imagecolorallocate($image, 0x00, 0x00, 0x50);
$light[] = imagecolorallocate($image, 0xFF, 0x00, 0x00);
$dark[] = imagecolorallocate($image, 0x90, 0x00, 0x00);



// flchen der einzelnen torten-elemente fllen
// (inspiriert von den user-notes bei php.net => imagearc())
function fill_arc($start, $end, $color) {
global $diameter, $centerX, $centerY, $image, $radius;
imagearc($image, $centerX, $centerY, $diameter, $diameter, $start, $end, $color);
imageline($image, $centerX, $centerY, $centerX + cos(deg2rad($start)) * $radius, $centerY + sin(deg2rad($start)) * $radius , $color);
imageline($image, $centerX, $centerY, $centerX + cos(deg2rad($end)) * $radius , $centerY + sin(deg2rad($end)) * $radius, $color);
imagefill ($image,$centerX + $radius * 0.5 *cos(deg2rad($start+($end-$start)/2)), $centerY + $radius * 0.5 * sin(deg2rad($start+($end-$start)/2)), $color);
}

for($i=0;$i<count($werte);$i++)
{
 fill_arc($start[$i], $end[$i], $light[$i]);
}

//SPEICHERPLATZ ANZEIGEN START...
function ZahlenFormatieren($Wert)
{
	if($Wert>1099511627776)
	{
		$Wert=number_format($Wert/1099511627776, 2, ",", ".")." TB";
	}
	elseif($Wert>1073741824)
	{
		$Wert=number_format($Wert/1073741824, 2, ",", ".")." GB";
	}
	elseif($Wert>1048576)
	{
		$Wert=number_format($Wert/1048576, 2, ",", ".")." MB";
	}
	elseif($Wert>1024)
	{
		$Wert=number_format($Wert/1024, 2, ",", ".")." kB";
	}
	else
	{
		$Wert=number_format($Wert, 2, ",", ".")." Bytes";
	}

	return $Wert;
}
// beschriftung mit dem prozentwert
$img_x = $centerX + cos(deg2rad($end)) * ($radius+10);
$img_y = $centerY + sin(deg2rad($end)) * ($radius+10);
//$text = "x: ".$img_x." | y: ".$img_y; // nur zum testen der coords
$FreierSpeicherplatz = disk_free_space("../");
$InsgesamterSpeicherplatz = disk_total_space("../");
$BelegtenSpeicherplatz = $InsgesamterSpeicherplatz-$FreierSpeicherplatz;
//-----
$color = imagecolorallocate($image, 0x00, 0x00, 0x00);
imagestring($image, "5", "110", "5", "Speicherplatz:", $color);
//-----
$color = imagecolorallocate($image, 0xFF, 0x00, 0x00);
$text = "belegt: ".ZahlenFormatieren($BelegtenSpeicherplatz);
imagestring($image, "3", "110", "40", $text, $color);
//-----
$color = imagecolorallocate($image, 0x00, 0x00, 0x80);
$text = "frei: ".ZahlenFormatieren($FreierSpeicherplatz);
imagestring($image, "3", "110", "60", $text, $color);
//-----
$color = imagecolorallocate($image, 0x00, 0x00, 0x00);
$text = "gesamt: ".ZahlenFormatieren($InsgesamterSpeicherplatz);
imagestring($image, "3", "110", "80", $text, $color);
//SPEICHERPLATZ ANZEIGEN FERTIG...

// raus mit dem bild an den browser
header("Content-type: image/png");
imagepng($image);
imagedestroy($image);
?>
<?php
}
?>
